<?php
/* Plugin Name: FX simple LoginLogout
 * Description: Widget displays simple horizontal login for top of the page. Requires wp-fb-autoconnect plugin
 * Author: Aivaras Sondeckis
 * Version: 1.0.1
 * Author URI: http://www.3Dgrafika.lt
 * Plugin URI: http://wordpress.org/extend/plugins/fx-simple-loginlogout/
 */


/*
 * Copyright 2010 Aivaras Sondeckis (email: info@3Dgrafika.lt)
 */

class FX_Simple_LoginLogout extends WP_Widget
{
    //////////////////////////////////////////////////////
    //Init the Widget
    function FX_Simple_LoginLogout()
    { 
        $this->WP_Widget( false, "FX Simple LoginLogout", array( 'description' => 'A top sidebar Login/Logout form with Facebook Connect button (Requires WP-FB-Autoconnect plugin)' ) );
    }
  
    function showLogin () {
        //If logged in, show "Welcome, User!"
        $userdata = wp_get_current_user();
        if( $userdata->ID ):
        ?>
        <div id='simple-login-text'>
          <div style='text-align:center'>
              <?php echo __('Welcome') . ', ' . $userdata->display_name?>!
              <a href="<?php echo get_settings('siteurl')?>/wp-admin/profile.php"><?php _e("Edit Profile")?></a> | <a href=" <?php echo wp_logout_url( $_SERVER['REQUEST_URI'] )?>"><?php _e("Logout")?></a>
            <?php wp_register('',''); ?>
          </div>
        </div>
        <?php
        //Otherwise, show the login form (with Facebook Connect button)
        else:
        ?>
        <div id='simple-login-text'>
            <form name='loginform' id='loginform' action='<?php echo get_settings('siteurl'); ?>/wp-login.php' method='post'>
              <table>
                <tr>
                  <td> 
                    <label id='simple-login'><?php _e('User:') ?></label>
                  </td>
                  <td>
                    <label id='simple-login'><?php _e('Password:') ?></label>&nbsp;
                    <span id="forgotText"><a href="<?php echo get_settings('siteurl')?>/wp-login.php?action=lostpassword"><?php _e('Forgot?')?></a></span>&nbsp;
                    <?php wp_register('',''); ?>
                  </td>
                  <td>
                  </td>
                </tr>
                <tr>
                  <td>
                    <input type='text' name='log' id='user_login' class='input' tabindex='20' />
                  </td>
                  <td>
                    <input type='password' name='pwd' id='user_pass' class='input' tabindex='21' />
                  </td>
                  <td>
                    <input type='submit' name='wp-submit' id='wp-submit' value='Login' tabindex='23' />
                  </td>
                </tr>
                <tr>
                  <td style='text-align:right'>
                    <?php _e('Simple login -->'); ?>&nbsp;
                  </td>
                  <td>
                    <?php
                      if (function_exists('jfb_output_facebook_btn')) {
                        global $opt_jfb_hide_button;
                        if( !get_option($opt_jfb_hide_button) )
                        {
                          jfb_output_facebook_btn();
                          jfb_output_facebook_init();
                          jfb_output_facebook_callback();
                        }
                      }
                      ?>
                  </td>
                  <td>
                  </td>
                </tr>
              </table>

                <?php //echo "<input name='rememberme' type='hidden' id='rememberme' value='forever' />";?>
                
                <input type='hidden' name='redirect_to' value='<?php echo htmlspecialchars($_SERVER['REQUEST_URI'])?>' />
            </form>
        </div>
            <?php
        endif;
    }
     
    //////////////////////////////////////////////////////
    //Output the widget's content.
    function widget( $args, $instance )
    {
        //Get args and output the title
        extract( $args );
        echo $before_widget;
        $title = apply_filters('widget_title', $instance['title']);
        if( $title ) echo $before_title . $title . $after_title;
        
        FX_Simple_LoginLogout::showLogin ();

        echo $after_widget;
    }
    
    
    //////////////////////////////////////////////////////
    //Update the widget settings
    function update( $new_instance, $old_instance )
    {
        $instance = $old_instance;
        $instance['title'] = $new_instance['title'];
        return $instance;
    }

    ////////////////////////////////////////////////////
    //Display the widget settings on the widgets admin panel
    function form( $instance )
    {
        ?>
        <p>
            <label for="<?php echo $this->get_field_id('title'); ?>"><?php echo 'Title:'; ?></label>
            <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $instance['title']; ?>" />
        </p>
        <?php
    }
}


//////////////////////////////////////////////////////
//Function to call from wordpress theme
function FX_Simple_LoginLogout()
{
    FX_Simple_LoginLogout::showLogin ();
}

//Register the widget
add_action( 'widgets_init', 'register_FX_Simple_LoginLogout' );
function register_FX_Simple_LoginLogout() { register_widget( 'FX_Simple_LoginLogout' ); }

?>